#include "object.h"

Object::Object(QObject *parent) : QObject(parent) {

  counter = 0;
  timer = new QTimer;
  QObject::connect(timer, SIGNAL(timeout()), this, SLOT(count()));
}

Object::~Object() {
  
}

void Object::count() {

  counter++;
  emit counterUpdated(counter);
}