#ifndef GUI_H
#define GUI_H

#include <QtGui/QWidget>
#include <QtGui/QLabel>
#include <QtCore/QFuture>
#include <QtCore/QFutureWatcher>

class Gui : public QWidget
{
  Q_OBJECT

  private:
    QLabel *label;
    QFuture<long long> primzahlFuture;
    QFutureWatcher<long long> *primzahlWatcher;
    
  public:
    Gui(QWidget* parent=0);
    ~Gui();
    
  public slots: 
    void runCalc();
    void primzahlReady();
};

#endif
