/* QRunFunction startet per QtConcurrent::run eine Funktion im ThreadPool 
   der Applikation. Ein QFutureWatcher-Objekt sendet ein Signal, sobald 
   die Berechnung beendet ist.
*/

#include <QtGui/QApplication>
#include <QtGui/QMainWindow>
#include <QtGui/QMenuBar>   
#include <QtGui/QMenu>   
#include "gui.h"

int main(int argc, char *argv[])  
{
  QApplication myApp(argc, argv);
  QMainWindow top;
  top.setWindowTitle("QRunFunction    (c)2012 by Matthias Nagorni");
  Gui *gui = new Gui(&top);
  QMenu *fileMenu = top.menuBar()->addMenu("&Datei");
  fileMenu->addAction("&Beenden", &myApp, SLOT(quit()));
  top.setCentralWidget(gui); 
  top.show();
  return myApp.exec(); 
}
