/* QRunnableDemo startet per Button mehrere Zählschleifen im ThreadPool
   der Applikation. Die Runnable-Objekte werden sofort gestartet, wenn
   im ThreadPool mindestens ein Thread verfügbar ist, andernfalls landen
   sie in der Queue.  
*/

#include <QtGui/QApplication>
#include <QtGui/QMainWindow>
#include <QtGui/QMenuBar>   
#include <QtGui/QMenu>   
#include "gui.h"

int main(int argc, char *argv[])  
{
  QApplication myApp(argc, argv);
  QMainWindow top;
  top.setWindowTitle("QParallelObjects    (c)2012 by Matthias Nagorni");
  Gui *gui = new Gui(&top);
  QMenu *fileMenu = top.menuBar()->addMenu("&Datei");
  fileMenu->addAction("&Beenden", &myApp, SLOT(quit()));
  top.setCentralWidget(gui); 
  top.show();
  return myApp.exec(); 
}
