#ifndef RUNNABLE_H
#define RUNNABLE_H

#include <QtCore/QObject>
#include <QtCore/QRunnable>

class Runnable : public QObject, public QRunnable
{
  Q_OBJECT

  private:
    int runnable_id;
    long counter;
      
  public:
    Runnable(int id, QObject* parent = 0);
    virtual void run();
    
  signals:
    void counterUpdated(int id, long value);
                
};
  
#endif
