#ifndef GUI_H
#define GUI_H

#include <QtGui/QWidget>
#include <QtGui/QLabel>
#include "runnable.h"

#define MAX_RUNNABLE 16

class Gui : public QWidget
{
  Q_OBJECT

  private:
    QLabel *label, *countLabel[MAX_RUNNABLE];
    Runnable *runnable[MAX_RUNNABLE];
    int runnable_id;
    
  public:
    Gui(QWidget* parent=0);
    ~Gui();
    
  public slots: 
    void startRunnable();
    void updateLabel(int id, long value);
};

#endif
