#ifndef GUI_H
#define GUI_H

#include <QtGui/QWidget>
#include <QtGui/QLabel>
#include <QtCore/QTime>
#include "data.h"
#include "view.h"

class Gui : public QWidget
{
  Q_OBJECT

  private:
    Data *data;
    View *view;
    QLabel *label;
    QTime time;

  public:
    Gui(QWidget* parent=0);
    
  public slots: 
    void saveImage();
    void scaleImage();
    void updateStatus(int value);
    void calcFinished();
};

#endif
