#ifndef GUI_H
#define GUI_H

#include <QtGui/QWidget>
#include <QtGui/QLabel>
#include "thread.h"
#include "object.h"

class Gui : public QWidget
{
  Q_OBJECT

  private:
    QLabel *label, *countLabel[2];
    Thread *thread;
    Object *object;
    
  public:
    Gui(QWidget* parent=0);

  public slots: 
    void startThread();
    void threadFinished();
    void updateLabel(long value);
};

#endif
