#ifndef OBJECT_H
#define OBJECT_H

#include <QtCore/QObject>
#include <QtCore/QTimer>

class Object : public QObject
{
  Q_OBJECT

  private:
    long counter;
        
  public:
    QTimer *timer;
    
  public:
    Object(QObject* parent=0);
    ~Object();
    
  public slots:
    void count();    
    
  signals:
    void counterUpdated(long value);  
};
  
#endif
