#include <stdio.h>
#include "thread.h"

Thread::Thread(QThread *parent) : QThread(parent) {

  counter = 0;
  timer = new QTimer;
  QObject::connect(timer, SIGNAL(timeout()), this, SLOT(count()));
}

void Thread::count() {

  counter++;
  emit counterUpdated(counter);
}

void Thread::run() {

  exec();
}
