#ifndef THREAD_H
#define THREAD_H

#include <QtCore/QThread>
#include <QtCore/QTimer>

class Thread : public QThread
{
  Q_OBJECT

  private:
    long counter;
      
  public:
    QTimer *timer;

  protected:
    virtual void run();

  public:
    Thread(QThread *parent=0);
    
  public slots:
    void count();
        
  signals:
    void counterUpdated(long value);
                
};
  
#endif
